#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/architecture.mk
PKGDIR = $(CURDIR)/debian/irssi-plugin-xmpp

%:
	dh $@

override_dh_auto_build:
	PREFIX=/usr dh_auto_build

override_dh_auto_install:
	$(MAKE) help-install PREFIX=$(PKGDIR)/usr
	cd src/ && $(MAKE) install PREFIX=$(PKGDIR)/usr IRSSI_LIB=$(PKGDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/irssi

override_dh_installchangelogs:
	dh_installchangelogs NEWS

ABI = $(shell grep IRSSI_ABI_VERSION /usr/include/irssi/src/common.h | cut -d' ' -f3 )

override_dh_gencontrol:
	dh_gencontrol -- -Virssi:ABI="irssi-abi-$(ABI)"
